SDL_GL_MakeCurrent(3)

NAME
SDL_GL_MakeCurrent - Set up an OpenGL context for rendering into an OpenGL window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_MakeCurrent(SDL_Window *window, SDL_GLContext context);

DESCRIPTION
The context must have been created with a compatible window.

FUNCTION PARAMETERS

window
    the window to associate with the context

context
    the OpenGL context to associate with the window

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GL_CreateContext(3)